toolzerhub API Docs

Get tournaments with events on a day (v1)

Returns sub-tournament id, name and slug for every sport tournament with events on date, padded 4 hours either side of the UTC day. Nothing found returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/events/day/tournaments

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

sport?string

Sport slug, such as football, tennis, basketball, cricket, mma or motorsport.

Match^[a-z][a-z-]{1,29}$
Default"football"
date?string

Day in YYYY-MM-DD. Defaults to today (UTC).

Match^\d{4}-\d{2}-\d{2}$
curl -X GET "https://example.com/v1/sofascore/events/day/tournaments" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}